2010-08-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.9

2010-08-11 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-normality.c (analysis_tool_normality_engine_run):
	  quieten clang

2010-07-30  Morten Welinder <terra@gnome.org>

	* Release 1.10.8

2010-07-19 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dao.c: delete HAVE_G_DATE_SET_TIME_T throughout 

2010-07-12  Jean Brefort  <jean.brefort@normalesup.org>

	* Makefile.am: install a self-consistent headers list.

2010-07-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-wilcoxon-mann-whitney.c: fix typo

2010-07-03  Morten Welinder  <terra@gnome.org>

	* gnm-solver.c (gnm_sub_solver_locate_binary): New function.
	(gnm_solver_factory_functional): Take optional WBCGtk argument so
	we can ask the user.  All callers changed.

2010-06-28  Morten Welinder <terra@gnome.org>

	* Release 1.10.7

2010-06-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.6

2010-06-16 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* filter.c (filter_show_all): fix the colrow_foreach call

2010-06-10 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-chi-squared.c (analysis_tool_chi_squared_engine_run):
	  create the correcly sized vectors of ones even for non-square
	  data

2010-06-06 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.h (analysis_tools_data_regression_t): new field
	* analysis-tools.c (analysis_tool_regression_engine_run): use
	  analysis_tool_get_function
	(analysis_tool_regression_simple_engine_run): use
	  analysis_tool_get_function and obey the new multiple-y setting.

2010-06-02  Morten Welinder  <terra@gnome.org>

	* gnm-solver.c (gnm_solver_set_status, gnm_solver_elapsed):
	Improve timer resolution.

	* gnm-solver.h (GnmSolver): Add new starttime and endtime members.

	* gnm-solver.c (gnm_solver_set_status): Set starttime and endtime
	as we go to or from "running".
	(gnm_solver_elapsed): New function.

	* tabulate.c (tabulation_eval): Evaluate only what we need.
	(do_tabulation): Restore old values of dependents.

2010-05-31 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-signed-rank-test.[ch]: new
	* Makefile.am: add the above
	* analysis-tools.h (analysis_tool_get_function): new
	* analysis-tools.c (analysis_tool_get_function): new
	* analysis-sign-test.h: minor formatting
	* analysis-sign-test.c
	(analysis_tool_sign_test_two_engine_run): fix statistic

2010-05-30  Morten Welinder <terra@gnome.org>

	* Release 1.10.5

2010-05-27  Morten Welinder  <terra@gnome.org>

	* gnm-solver.c (gnm_solver_param_constructor): Increase default
	iterations to 1000.

2010-05-24  Morten Welinder  <terra@gnome.org>

	* src/tools/gnm-solver.c (gnm_solver_check_constraints): Check
	that the objective value is a number.

2010-05-24 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-wilcoxon-mann-whitney.c: new
	* analysis-wilcoxon-mann-whitney.h: new
	* analysis-tools.h (analysis_tools_write_a_label): new
	(analysis_tools_remove_label): new
	* analysis-tools.c (analysis_tools_write_a_label): make public
	(analysis_tools_remove_label): ditto

2010-05-24  Morten Welinder  <terra@gnome.org>

	* gnm-solver.c (gnm_sub_solver_spawn): On windows, ignore the
	child_setup since g_spawn_* will ignore it other than issuing a
	warning.

2010-05-22  Morten Welinder  <terra@gnome.org>

	* gnm-solver.c (gnm_solver_get_current_values): New function.

2010-05-21  Morten Welinder  <terra@gnome.org>

	* gnm-solver.c (gnm_solver_check_constraints): New function.
	(gnm_solver_has_solution): New function.
	(gnm_solver_store_result): Use gnm_solver_has_solution.

2010-05-20  Morten Welinder <terra@gnome.org>

	* Release 1.10.4

2010-05-07  Morten Welinder <terra@gnome.org>

	* Release 1.10.3

2010-05-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* filter.c (advanced_filter): force the selection to be
	  corrected

2010-05-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* filter.c (filter): use ri->in_advanced_filter rather
	  than ri->in_filter
	(cb_show_all): set ri->in_advanced_filter to false
	(filter_show_all): don't touch the auto filters

2010-05-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* filter.h (filter_show_all): require WorkbookControl rather
	  than Sheet.
	* filter.c (filter_show_all): require WorkbookControl rather
	  than Sheet; update menu
	(filter): mark rows to belong to a filter
	(advanced_filter): update menu

2010-05-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-normality.c (analysis_tool_normality_engine_run):
	  dao_autofit_columns is not needed
	* analysis-tools.c (summary_statistics): ditto
	* analysis-tools.h (analysis_tools_error_code_t): add items
	(analysis_tool_advanced_filter_engine): new
	(analysis_tools_data_advanced_filter_t): new
	* filter.c (analysis_tool_advanced_filter_engine): new
	(analysis_tool_advanced_filter_engine_run): new
	(free_rows): deleted
	(advanced_filter): replace defines with enum and use
	  go_slist_free_custom
	* filter.h: remove unneeded defines

2010-04-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.2

2010-04-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.c (analysis_tool_regression_engine_run): wrap the
	  first argument to TDIST with ABS.

2010-03-31 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.h (analysis_tools_data_regression_t): add fields
	* analysis-tools.c (analysis_tools_remove_label): change arguments
	  and change all callers
	(analysis_tools_write_a_label): new
	(analysis_tool_regression_simple_engine_run): new
	(analysis_tool_regression_engine): hook up second engine

2010-03-28  Morten Welinder  <terra@gnome.org>

	* goal-seek.c (update_data): Properly handle NaNs.  Fixes #614147.

2010-03-26 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* auto-correct.c (autocorrect_first_letter_exception): new
	(autocorrect_first_letter): don't consider symbols without following
	  whitespace sentence enders and check for exceptions.

2010-03-26 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* auto-correct.c (autocorrect_first_letter): implement

2010-03-23 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* auto-correct.c (AutoCorrectFeature): deleted
	(autocorrect): delete new structure
	(autocorrect_set_exceptions): deleted
	(autocorrect_clear): deleted
	(autocorrect_load): deleted
	(cb_autocorrect_update): deleted
	(autocorrect_init): deleted
	(autocorrect_initial_caps): use gnm_conf_get_autocorrect_init_caps_list
	(autocorrect_first_letter): use gnm_conf_get_..._first_letter_list
	(autocorrect_tool): use gnm_conf_get_...

2010-03-23 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* auto-correct.h (AutoCorrectFeature): move to auto-correct.c
	(autocorrect_store_config): delete
	(autocorrect_get_feature): delete
	(autocorrect_set_feature): delete
	(autocorrect_get_exceptions): delete
	(autocorrect_set_exceptions): move to auto-correct.c
	* auto-correct.c (AutoCorrectFeature): moved here from auto-correct.h
	(autocorrect_store_config): delete
	(autocorrect_get_feature): delete
	(autocorrect_set_feature): delete
	(autocorrect_get_exceptions): delete
	(autocorrect_set_exceptions): make static

2010-03-08  Morten Welinder <terra@gnome.org>

	* Release 1.10.1

2010-02-13  Morten Welinder <terra@gnome.org>

	* Release 1.10.0

2010-01-25 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* simulation.c (create_stats): fix length calculation for the
	  confidence interval

2010-01-19  Morten Welinder <terra@gnome.org>

	* Release 1.9.18

2010-01-13  Morten Welinder  <terra@gnome.org>

	* goal-seek.c (goal_seek_newton_polish): Fix some gnm_float
	issues.

2009-12-31 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-auto-expression.c (analysis_tool_auto_expression_engine_run):
	  also handle adding formula to the side
	(analysis_tool_auto_expression_engine): ditto
	* analysis-auto-expression.h (analysis_tools_data_auto_expression_t):
	  add field

2009-12-31 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-auto-expression.c: new
	* analysis-auto-expression.h: new
	* Makefile.am: add the above

2009-12-24  Jean Brefort  <jean.brefort@normalesup.org>

	* analysis-anova.c
	(analysis_tool_anova_two_factor_no_rep_engine_run),
	(analysis_tool_anova_two_factor_engine_run): fixed double/gnm_float issues.
	* analysis-chi-squared.c (analysis_tool_chi_squared_engine_run): ditto.

2009-12-22 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.c (analysis_tool_regression_engine_run): try to
	  make p-value comment clearer. [#605277]

2009-12-22 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-principal-components.c: new
	* analysis-principal-components.h: new
	* Makefile.am: add the above
	* analysis-tools.c (analysis_tool_table): make non-static and add
	  full_table argument. Change all callers.
	* analysis-tools.h (analysis_tool_table): new

2009-12-15  Morten Welinder <terra@gnome.org>

	* Release 1.9.17

2009-12-15 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-sign-test.c (analysis_tool_sign_test_engine_run): simplify
	(analysis_tool_sign_test_two_engine_run): new
	(gboolean analysis_tool_sign_test_two_engine): new
	* analysis-sign-test.h (analysis_tools_data_sign_test_two_t): new
	(gboolean analysis_tool_sign_test_two_engine): new
	* analysis-tools.h (analysis_tools_write_label_ftest): new
	* analysis-tools.c (analysis_tools_write_label_ftest): make public

2009-12-11 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-sign-test.c (analysis_tool_sign_test_engine_run):
	  watch for errors and non-numbers

2009-12-11 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-sign-test.c: new
	* analysis-sign-test.h: new
	* Makefile.am: add the above

2009-11-29  Morten Welinder <terra@gnome.org>

	* Release 1.9.16

2009-11-26 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-normality.c (analysis_tool_normality_engine_run):
	  create chart if requested

2009-11-24 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-normality.h (analysis_tools_data_normality_t):
	  modify fields
	* analysis-normality.c (analysis_tool_normality_engine_run):
	  handle additional tests.

2009-11-24  Morten Welinder  <terra@gnome.org>

	* scenarios.c (scenarios_insert_rows, scenarios_insert_cols,
	scenarios_delete_rows, scenarios_delete_cols,
	scenarios_move_range): Remove.

2009-11-21 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-normality.c: new
	* analysis-normality.h: new
	* Makefile.am: add analysis-normality.[ch]
	* analysis-exp-smoothing.c: fix comment
	* analysis-tools.h (analysis_tools_write_label): new
	* analysis-tools.c (analysis_tools_write_label): make non-static

2009-11-17  Morten Welinder  <terra@gnome.org>

	* gnm-solver.c (cb_child_exit): When child exits, close the GPid.

2009-11-16  Jean Brefort  <jean.brefort@normalesup.org>

	* Makefile.am: fixed external plugins compilation.
	* gnm-solver.c (gnm_solver_saveas): don't use a c++ reserved
	name as variable name.
	* gnm-solver.h: ditto.

2009-11-01  Morten Welinder <terra@gnome.org>

	* Release 1.9.15

2009-10-29 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* auto-correct.c (autocorrect_store_config): use the correct
	  list

2009-10-11  Morten Welinder <terra@gnome.org>

	* Release 1.9.14

2009-10-07 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-histogram.c (make_hist_expr): fix tests

2009-09-22 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-anova.c: Change "Anova" to "ANOVA" throughout
	(analysis_tool_anova_two_factor_engine_run): fix level
	  offset

2009-09-20  Morten Welinder <terra@gnome.org>

	* Release 1.9.13

2009-09-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* random-generator-cor.c: new
	* random-generator-cor.h: new
	* Makefile.am: add the above

2009-09-05  Morten Welinder <terra@gnome.org>

	* Release 1.9.12

2009-09-05  Jean Brefort  <jean.brefort@normalesup.org>

	* scenarios.c (summary_cb), (scenario_summary): renamed go-color.h macros.

2009-09-05  Jean Brefort  <jean.brefort@normalesup.org>

	* ms-chart.c (end): don't use z values as x or y when there are no
	labels or categories. [See #593937]

2009-09-04  Jean Brefort  <jean.brefort@normalesup.org>

	* ms-chart.c (axis), (xl_axis_get_elem), (valuerange): use gnm_go_data
	instead of simple go_data [#594068],
	(end): don't require x and y values for surfaces.

2009-09-01  Jean Brefort  <jean.brefort@normalesup.org>


2009-08-30  Morten Welinder <terra@gnome.org>

	* Release 1.9.11

2009-08-15  Morten Welinder <terra@gnome.org>

	* Release 1.9.10

2009-08-03 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-anova.c (analysis_tool_anova_two_factor_engine_run):
	  fix erroneous vertical offset in non-label analysis

2009-08-01 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-histogram.c (make_hist_expr): only free expr_data
	  if we didn't already use it. Fixes #590375.

2009-07-31 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.c (analysis_tool_fourier_engine_run): combine
	  translatable text to allow for better translation

2009-07-01  Morten Welinder  <terra@gnome.org>

	* auto-correct.c (autocorrect_init): Monitor the right
	configuration directory.

2009-06-20  Morten Welinder <terra@gnome.org>

	* Release 1.9.9

2009-06-18 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* *.c In all files in this directory where we use
	  gnm_func_lookup_or_add_placeholder we need to pass the
	  appropriate workbook as scope to avoid leaks and warnings.

2009-06-18 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* *.c In all files in this directory replace gnm_func_lookup
	  with gnm_func_lookup_or_add_placeholder to avoid crashes
	  when plugins are not loaded.

2009-06-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dao.c (dao_adjust): avoid calling gnm_sheet_get_max_* with
	  NULL sheet.

2009-06-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-chi-squared.[ch]: new
	* Makefile.am: added the above

2009-06-05  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.h (gnm_fourier_fft): moved to
	  plugins/fn-tsa/functions.c
	* analysis-tools.c (cb_store_data): deleted
	(new_data_set): deleted
	(destroy_data_set): deleted
	(cb_get_data_set_list): deleted
	(cb_get_data_set_list): deleted
	(new_data_set_list): deleted
	(destroy_data_set_list): deleted
	(gnm_fourier_fft): moved to
	  plugins/fn-tsa/functions.c
	(analysis_tool_fourier_engine_run): rewritten
	(analysis_tool_fourier_calc_length): use analysis_tool_calc_length
	(analysis_tool_fourier_engine): adjust required size

2009-06-05  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* Makefile.am: added  analysis-anova.[ch]
	* analysis-tools.h (analysis_tool_anova_two_factor_engine):
	  deleted
	* analysis-tools.c (analysis_tool_anova_two_factor_engine):
	  deleted
	(check_data_for_missing): deleted
	(analysis_tool_anova_two_factor_prepare_input_range): deleted
	(analysis_tool_anova_two_factor_no_rep_engine_run): deleted
	(make_label): deleted
	(analysis_tool_anova_two_factor_engine_run): deleted
	(analysis_tool_anova_two_factor_engine_clean): moved to
	  analysis-anova.c
	(analysis_tool_anova_two_factor_engine): ditto
	* dao.h (dao_set_border): new
	* dao.c (dao_set_border): new
	* analysis-anova.[hc]:new

2009-06-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.c (analysis_tool_calc_length): also handle
	  GROUPED_BY_AREA
	(rank_t): deleted
	(cb_rank_compare): deleted
	(analysis_tool_ranking_engine_run): rewrite to enter expressions
	(analysis_tool_ranking_engine): increase required space
	* dao.c (adjust_range): new
	(dao_set_array_expr): use adjust_range
	(dao_set_cell_expr): ditto
	(dao_set_cell_value): ditto
	(dao_set_cell_comment): ditto
	(dao_set_style): ditto
	(dao_set_bold): use dao_set_style
	(dao_set_underlined): ditto
	(dao_set_merge): new
	* dao.h (dao_set_merge): new

2009-05-23  Morten Welinder <terra@gnome.org>

	* Release 1.9.8

2009-05-06  Morten Welinder <terra@gnome.org>

	* Release 1.9.7

2009-04-25  Morten Welinder <terra@gnome.org>

	* Release 1.9.6

2009-04-10  Jean Brefort  <jean.brefort@normalesup.org>

	* analysis-kaplan-meier.c: fixed after GogStyle -> GOStyle rename.

2009-04-03  Morten Welinder  <terra@gnome.org>

	* dao.c (dao_init_new_sheet): New shorthand.  Use everywhere.

2009-03-22  Morten Welinder <terra@gnome.org>

	* Release 1.9.5

2009-02-22  Morten Welinder <terra@gnome.org>

	* Release 1.9.4

2008-12-22  Morten Welinder  <terra@gnome.org>

	* analysis-histogram.c (make_hist_expr): New function to generate
	expressions and avoid using huge constants in the place of
	infinite values.  Solves potential portability problem.

2008-12-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-histogram.c (analysis_tool_histogram_engine_run): set
	  GNM_MAX as value not expression

2008-12-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-histogram.c (analysis_tool_histogram_engine_run): use GNM_MAX

2008-12-02  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.c (analysis_tool_regression_engine_run): add the name
	  of the response variable and make the variable names more flexible

2008-11-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-kaplan-meier.c (analysis_tool_kaplan_meier_engine_run):
	  calculate log-rank statistics if requested
	(analysis_tool_kaplan_meier_engine): adjust dao size for test output
	* analysis-kaplan-meier.h (analysis_tools_data_kaplan_meier_t): add
	  new field

2008-11-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-kaplan-meier.c (analysis_tool_kaplan_meier_engine_run):
	  calculate median survival times
	(analysis_tool_kaplan_meier_engine): properly dispose of all data
	  and adjust dao size for median output
	* analysis-kaplan-meier.h (analysis_tools_data_kaplan_meier_t): add
	  new field

2008-11-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-kaplan-meier.c (analysis_tool_kaplan_meier_engine_run):
	  handle multiple groups
	(analysis_tool_kaplan_meier_clear_gl_cb): new
	(analysis_tool_kaplan_meier_engine): properly dispose of all data
	* analysis-kaplan-meier.h (analysis_tools_data_kaplan_meier_t): add
	  new fields
	(analysis_tools_kaplan_meier_group_t): new

2008-11-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-kaplan-meier.c (analysis_tool_kaplan_meier_engine_run):
	  handle a range of censor marks
	* analysis-kaplan-meier.h (analysis_tools_data_kaplan_meier_t): add field

2008-11-02  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-exp-smoothing.c
	(analysis_tool_exponential_smoothing_engine_des_run): only output
	  standard errors if we also output the analysis, plug leak
	(analysis_tool_exponential_smoothing_engine_ates_run): ditto
	(analysis_tool_exponential_smoothing_engine_mtes_run): ditto

2008-10-18  Jody Goldberg <jody@gnome.org>

	* Release 1.9.3

2008-10-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-kaplan-meier.c (analysis_tool_kaplan_meier_engine_run):
	  include censorship ticks in the graph if requested
	(analysis_tool_kaplan_meier_engine): adjust width for censures column

2008-10-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-kaplan-meier.c: new
	* analysis-kaplan-meier.h: new
	* Makefile.am: add analysis-kaplan-meier.[ch]
	* analysis-tools.h: rename analysis_tools_data_ftest_t to
	  analysis_tools_data_generic_b_t throughout
	(analysis_tool_generic_b_clean): new
	* analysis-tools.c: rename analysis_tools_data_ftest_t to
	  analysis_tools_data_generic_b_t throughout
	(analysis_tool_ftest_clean): rename to analysis_tool_generic_b_clean
	  and remove unused first argument, change all callers

2008-10-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-frequency.c (analysis_tool_frequency_engine_run): use
	  EXACT if requested and copy the categories preserving blankness.
	* analysis-frequency.c (analysis_tools_data_frequency_t): add field

2008-10-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.h (set_cell_text_col): new
	* analysis-tools.c (set_cell_text_col): make non-static
	* analysis-frequency.[ch]: new
	* Makefile.am: added analysis-frequency.[ch]

2008-10-05  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-exp-smoothing.c
	(analysis_tool_exponential_smoothing_engine_mtes_run): the seasonal
	  adjustments should average to 1.

2008-10-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-exp-smoothing.c
	(analysis_tool_exponential_smoothing_engine_mtes_run): improved
	  estimate for seasonal adjustments
	(analysis_tool_exp_smoothing_funcall5): don't copy ex, change all callers

2008-10-03  Jody Goldberg <jody@gnome.org>

	* analysis-exp-smoothing.c
	  (analysis_tool_exponential_smoothing_engine_ates_run) : patched what
	    looks like a typo.

2008-10-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-exp-smoothing.c
	(analysis_tool_exponential_smoothing_engine_mtes_run): new
	(analysis_tool_exponential_smoothing_engine): call
	  analysis_tool_exponential_smoothing_engine_mtes_run
	(analysis_tool_exponential_smoothing_engine_ates_run): drop
	  unnecessary functions.

2008-10-02  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	Fix for #554591
	* scenarios.c (summary_cb): save the row number of the table.

2008-10-02  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-exp-smoothing.h
	(analysis_tools_data_exponential_smoothing_t): add field
	* analysis-exp-smoothing.c (attach_series): this should not
	  be called without a plot. Check for null plot before every call
	  to avoid creating unnecessary expressions
	(analysis_tool_exponential_smoothing_engine_ates_run): new
	(analysis_tool_exponential_smoothing_engine): call
	  analysis_tool_exponential_smoothing_engine_ates_run if appropriate
	* analysis-tools.h (set_cell_text_row): new
	* analysis-tools.c (set_cell_text_row): make non-static
	(analysis_tool_calc_length): account for labels

2008-10-02  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dao.c: include goffice/utils/go-glib-extras.h

2008-10-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-exp-smoothing.c (attach_series): change argument type to
	  remove warning. Include graph.h.

2008-10-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.c: move smoothing code from here to
	* analysis-exp-smoothing.c: new
	* analysis-tools.h: move smoothing code from here to
	* analysis-exp-smoothing.h: new
	* dao.c (dao_set_sheet_object): use up to 20 rows
	* Makefile.am: add analysis-exp-smoothing.[ch]

2008-09-29  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.c (analysis_tool_exponential_smoothing_engine_run):
	write standard errors for Holt

2008-09-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.c (analysis_tool_exponential_smoothing_engine_run):
	  calculate an appropriate starting value for Roberts rather than
	  abusing the first observation.
	(analysis_tool_exponential_smoothing_engine): adjust size

2008-09-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.h (analysis_tools_data_exponential_smoothing_t):
	  add field
	(exponential_smoothing_type_t): add items
	* analysis-tools.c (analysis_tool_exponential_smoothing_engine_run):
	  add handling of Holt's trend corrected exponential smoothing
	(analysis_tool_exponential_smoothing_engine): adjust size

2008-09-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.h (analysis_tools_data_exponential_smoothing_t):
	  add field
	(exponential_smoothing_type_t): new
	* analysis-tools.c (analysis_tool_exponential_smoothing_engine_run):
	  add handling of Robert's version of simple exponential smoothing

2008-09-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.h (analysis_tools_data_exponential_smoothing_t):
	  add fields
	* analysis-tools.c
	(analysis_tool_exponential_smoothing_engine_run): rewrite completely
	(analysis_tool_exponential_smoothing_engine): add two rows

2008-09-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.c (analysis_tool_moving_average_engine_run): make
	  weighted moving averages more resilient and add spencer 15 point
	  moving average
	(analysis_tool_moving_average_funcall5): new
	(analysis_tool_moving_average_weighted_av): new

2008-09-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.c (analysis_tool_moving_average_engine_run): fix
	  central moving average for even interval (we should average the
	  averages), add weighted and cumulative moving averages.
	* analysis-tools.h (moving_average_type_t): new type
	(analysis_tools_data_moving_average_t): new field

2008-09-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.c (analysis_tool_moving_average_engine_run): fix
	  standard error for non-zero offset

2008-09-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.h (analysis_tools_data_moving_average_t): new field
	* analysis-tools.c (analysis_tool_moving_average_engine_run): create
	  graph if requested

2008-09-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.h (analysis_tools_data_moving_average_t): new fields
	* analysis-tools.c (analysis_tool_moving_average_engine_run): handle
	  offset and possible change in denominator of std error.

2008-09-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.c (make_rangeref): new
	(analysis_tool_moving_average_engine_run): rewrite completely

2008-09-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.c (analysis_tool_calc_length): count columns when the
	  data is grouped in rows.

2008-09-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.h (analysis_tools_data_sampling_t): add new fields
	* analysis-tools.c (cb_write_data): delete
	(write_data): delete
	(analysis_tool_sampling_engine_run): rewrite completely
	(analysis_tool_sampling_engine): calculate the correct dao height

2008-09-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-histogram.c (analysis_tool_histogram_engine_run): we need to
	keep the values around for potential redos.
	(analysis_tool_histogram_engine): clean up when asked to do so.
	* analysis-tools.h (analysis_tool_generic_clean): needs to be non-static
	* analysis-tools.c (analysis_tool_generic_clean): make non-static
	  and remove unneeded argument. Change all callers.
	* dao.h (data_analysis_output_t): add fields
	(dao_free): new
	(dao_surrender_so): new
	(dao_set_omit_so): new
	* dao.c (dao_free): new
	(dao_surrender_so): new
	(dao_set_omit_so): new
	(dao_init): handle new fields
	(dao_set_sheet_object): don't write sheet objects when omit_so is true.

2008-09-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-histogram.c (analysis_tool_histogram_engine_run): set the
	  x-axis numbering style to avoid the histogram to pick the "";"" style.

2008-09-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dao.c (dao_set_sheet_object): don't make the graph too big
	* analysis-histogram.c (analysis_tool_histogram_engine_run): handle
	  bar and column chart request

2008-09-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-histogram.c (analysis_tool_histogram_engine_run): unref the
	  graph after using it. [#552596]

2008-09-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-histogram.c (analysis_tool_histogram_engine_run): create
	  histogram chart if appropriate
	* analysis-histogram.h (chart_t): new
	(analysis_tools_data_histogram_t): change field format for chart
	* dao.h (dao_set_sheet_object): new
	(dao_get_rangeref): new
	(dao_go_data_vector): new
	* dao.c (dao_set_sheet_object): new
	(dao_get_rangeref): new
	(dao_go_data_vector): new

2008-09-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-histogram.c (analysis_tool_histogram_engine_run):
	  use 1E99 instead of GNM_MAX to avoid #552464

2008-09-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-histogram.c (analysis_tool_histogram_engine_run):
	  fix typo

2008-09-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-histogram.c: completely rewritten from scratch
	* analysis-histogram.h: completely rewritten from scratch
	* analysis-tools.h (new_data_set_list): made statis
	(destroy_data_set_list): made static
	(gnm_check_input_range_list_homogeneity): made static
	(make_cellref): made non-static
	* analysis-tools.c (new_data_set_list): made statis
	(destroy_data_set_list): made static
	(gnm_check_input_range_list_homogeneity): made static
	(make_cellref): made non-static

2008-09-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* analysis-tools.c (analysis_tool_regression_engine_run):
	add explanatory comment to R^2

2008-09-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dao.h (dao_set_format): new
	(dao_set_array_expr): new
	(dao_get_cellref): new
	* dao.c (dao_set_format): new
	(dao_set_array_expr): new
	(dao_set_cell_array_expr): use dao_set_array_expr
	(dao_get_cellref): new
	* analysis-tools.h (analysis_tools_error_code_t): remove
	  analysis_tools_REG_invalid_dimensions
	(analysis_tools_data_regression_t): switch to ftest base
	* analysis-tools.c (analysis_tools_write_label_ftest): use
	  cb_adjust_areas
	(cb_cut_into_rows): ditto
	(cb_cut_into_cols): ditto
	(analysis_tool_regression_engine_last_check): deleted
	(calculate_xdim): new
	(analysis_tool_regression_engine_run): rewritten
	(analysis_tool_regression_engine): simplify

2008-09-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	Fix for #531852.
	* analysis-tools.c (analysis_tool_ttest_paired_engine_run):
	  change formulas to ensure we only use data pairs where both
	  components are numbers

2008-08-29  Jody Goldberg <jody@gnome.org>

	* Release 1.9.2

2008-06-27  Morten Welinder  <terra@gnome.org>

	* fill-series.c (do_row_filling_wday, do_column_filling_wday):
	Simplify using gnm_date_add_days.
	(do_row_filling_month, do_column_filling_month): Simplify using
	gnm_date_add_months.

2008-06-25  Jody Goldberg <jody@gnome.org>

	* Release 1.9.1

2008-05-13  Morten Welinder  <terra@gnome.org>

	* analysis-tools.c (make_cellref): New function to simplify making
	intra-sheet references.  All callers of gnm_expr_new_cellref in
	this file changed to call this function.

2008-05-04  Jody Goldberg <jody@gnome.org>

	* Release 1.9.0

2008-04-08  Morten Welinder  <terra@gnome.org>

	* analysis-tools.c (analysis_tool_regression_engine_run): Use
	gnm_strip_missing instead of strip_missing.  Use
	gnm_slist_sort_merge instead of horrible union_of_int_sets.

2008-01-15  Morten Welinder  <terra@gnome.org>

	* filter.c (advanced_filter): Verify that we have a cellrange
	which is the only cases handled.  Part of fix for 509427.

2007-12-21  Jody Goldberg <jody@gnome.org>

	* Release 1.8.0

2007-12-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dao.h (dao_set_cell_array_expr): new
	* dao.c (dao_set_cell_array_expr): new
	* analysis-tools.c (analysis_tool_ttest_paired_engine_run):
	  use dao_set_cell_array_expr for vector calculations
	  fixes [#504256]

2007-12-03  Jody Goldberg <jody@gnome.org>

	* Release 1.7.91

2007-11-27  Morten Welinder  <terra@gnome.org>

	* fill-series.c (fill_series_adjust_variables): Fix off-by-one
	error.  [#499984]

2007-11-19  Jody Goldberg <jody@gnome.org>

	* Release 1.7.90

2007-11-04  Morten Welinder <terra@gnome.org>

	* Release 1.7.14

2007-10-21  Morten Welinder <terra@gnome.org>

	* Release 1.7.13

2007-09-16  Morten Welinder  <terra@gnome.org>

	* scenarios.c (scenarios_free): Call scenario_free, it
	scenarios_free!

2007-09-04  Jody Goldberg <jody@gnome.org>

	* Release 1.7.12

2007-08-06  Morten Welinder  <terra@gnome.org>

	* filter.c (advanced_filter): Translate.

	* data-shuffling.c (data_shuffling): Fix typo and translate.

	* auto-correct.c (autocorrect_initial_caps): Don't affect
	expressions.  Fixes #463996.

2007-07-24  Jody Goldberg <jody@gnome.org>

	* Release 1.7.11

2007-05-03  Morten Welinder <terra@gnome.org>

	* Release 1.7.10

2007-04-21  Morten Welinder <terra@gnome.org>

	* Release 1.7.9

2007-03-29  Jean Brefort  <jean.brefort@normalesup.org>

	* analysis-tools.c: make two new functions public.
	* analysis-tools.h: ditto.

2007-03-28  Jean Brefort  <jean.brefort@normalesup.org>

	* analysis-histogram.c: use new names for range and regression functions.
	* analysis-tools.h: ditto.
	* simulation.c: ditto.

2007-03-04  Morten Welinder <terra@gnome.org>

	* Release 1.7.8

2007-02-16  Morten Welinder <terra@gnome.org>

	* Release 1.7.7

2006-12-17  Jody Goldberg <jody@gnome.org>

	* Release 1.7.6

2006-12-04  Jody Goldberg <jody@gnome.org>

	* Release 1.7.5

2006-12-02  Jody Goldberg <jody@gnome.org>

	All callers changed.
	* scenarios.c (scenarios_free) : renamed from scenario_free_all.
	(scenarios_dup) : renamed from scenario_copy_all.
	(scenarios_insert_rows) : renamed from scenario_insert_rows.
	(scenarios_insert_cols) : renamed from scenario_insert_cols.
	(scenarios_delete_rows) : renamed from scenario_delete_rows.
	(scenarios_delete_cols) : renamed from scenario_delete_cols.
	(scenarios_move_range) : renamed from scenario_move_range.

2006-11-30  Morten Welinder  <terra@gnome.org>

	* goal-seek.c (goal_seek_newton): Improve handling of flat spots,
	including those that happen because of fake_df.

2006-11-29  Morten Welinder  <terra@gnome.org>

	* goal-seek.c (goal_seek_bisection): Rounding errors can cause the
	Ridder midpoint to leave the interval.  Catch that.  Continue
	until the bitter end, i.e., ignore desired precision here.

2006-11-28  Morten Welinder  <terra@gnome.org>

	* goal-seek.c (goal_seek_newton_polish): New function for
	post-processing.

2006-11-26  Morten Welinder  <terra@gnome.org>

	* goal-seek.c (goal_seek_newton): Allow up to 40 iterations.
	Don't overshoot anymore after we have both sides of the root.

2006-11-20  Jody Goldberg <jody@gnome.org>

	* Release 1.7.4

2006-11-19  Morten Welinder <terra@gnome.org>

	* Release 1.7.3

2006-10-17  Jody Goldberg <jody@gnome.org>

	* Release 1.7.2

2006-10-02  Jody Goldberg <jody@gnome.org>

	* Release 1.7.1

2006-05-25  Jean Brefort  <jean.brefort@normalesup.org>

	* analysis-tools.c: ditto.
	* auto-correct.c: ditto.
	* dao.c: ditto.
	* data-shuffling.c: ditto.
	* fill-series.c: ditto.
	* filter.c: ditto.
	* random-generator.c: ditto.
	* scenarios.c: ditto.
	* simulation.c: ditto.
	* tabulate.c: ditto.

2006-05-08  Jody Goldberg <jody@gnome.org>

	* Release 1.7.0

2006-02-19  Morten Welinder  <terra@gnome.org>

	* analysis-tools.c: Use gnm_expr_new_funcall1,
	gnm_expr_new_funcall2, and gnm_expr_new_funcall3.

2005-12-13  Morten Welinder  <terra@gnome.org>

	* scenarios.c (scenario_add_new): Constify.
	(collect_values): Initialize changing_cells with NULL.

2005-11-14  Jody Goldberg <jody@gnome.org>

	* Release 1.6.1

2005-10-10  Jody Goldberg <jody@gnome.org>

	* Release 1.6.0

2005-09-08  Jody Goldberg <jody@gnome.org>

	* Release 1.5.90

2005-08-28  Morten Welinder <terra@gnome.org>

	* Release 1.5.5

2005-08-28  Morten Welinder <terra@gnome.org>

	* Release 1.5.4

2005-08-15  Morten Welinder <terra@gnome.org>

	* Release 1.5.3

2005-06-13  Jody Goldberg <jody@gnome.org>

	* Release 1.5.2

2005-05-23  Stepan Kasal  <kasal@ucw.cz>

	* dao.c (dao_command_descriptor): Typo.

2005-05-10  Jody Goldberg <jody@gnome.org>

	* Release 1.5.1

2005-04-14  Morten Welinder  <terra@gnome.org>

	* goal-seek.c (goal_seek_initialize): Initalize ->have_root.
	(update_data): Set ->have_root.
	(goal_seek_point, goal_seek_newton, goal_seek_bisection,
	goal_seek_trawl_uniformly, goal_seek_trawl_normally): If we
	already have a root, return success right away.

2005-02-08  Jody Goldberg <jody@gnome.org>

	* Release 1.5.0

2005-01-17  Jody Goldberg <jody@gnome.org>

	* Release 1.4.2

2004-12-09  Jody Goldberg <jody@gnome.org>

	* Release 1.4.1

2004-11-28  Jody Goldberg <jody@gnome.org>

	* Release 1.4.0

2004-11-16  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=124858
	* auto-correct.c (autocorrect_initial_caps): g_unichar_isspace
	  requires a gunichar

2004-11-14  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=124858
	* auto-correct.c (autocorrect_initial_caps): don't `fix'
	  strings with capitals later in the string.

2004-11-13  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=158209
	* auto-correct.c (autocorrect_initial_caps): don't replace
	  initial cups if we have found an exception

2004-11-07  Jody Goldberg <jody@gnome.org>

	* Release 1.3.93

2004-10-31  Jody Goldberg <jody@gnome.org>

	* Release 1.3.92

2004-10-20  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=153527
	* dao.c (dao_adjust): don't expand the dao beyond SHEET_MAX_ROWS
	  or SHEET_MAX_COLS.

2004-10-14  Andreas J. Guelzow <aguelzow@taliesin.ca>

        * analysis-tools.c (analysis_tool_ttest_eqvar_engine_run):
	  adjust italic region

2004-10-05  Jody Goldberg <jody@gnome.org>

	* Release 1.3.91

2004-09-20  Stepan Kasal  <kasal@ucw.cz>

	* data-shuffling.c, fill-series.c, filter.c, scenarios.c:
	* simulation.c, tabulate.c: Don't include unnecessary GUI gheaders.
	* simulation.h: #include "dao.h"

2004-09-11  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c (analysis_tool_ztest_engine_run):
	  use smaller tail
	(analysis_tool_ttest_paired_engine_run): rewritten
	(analysis_tool_ttest_paired_engine): increase dao size

2004-09-10  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c (analysis_tool_ztest_engine_run):
	  rewritten

2004-09-08  Jody Goldberg <jody@gnome.org>

	* Release 1.3.90

2004-09-07  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c (analysis_tool_ttest_eqvar_engine_run):
	  rewritten

2004-09-06  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c (analysis_tool_ttest_neqvar_engine_run):
	  rewritten

2004-09-02  Stepan Kasal  <kasal@ucw.cz>

	* Makefile.am: Set SUBDIRS = solver, only if ENABLE_SOLVER.

2004-08-31  Jody Goldberg <jody@gnome.org>

	* dao.c : Remove unnecessary include of gtk/gtk.h

2004-08-29  Jody Goldberg <jody@gnome.org>

	* Release 1.3.2

2004-07-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c (analysis_tools_write_label_ftest): new
	(analysis_tool_ftest_engine_run): rewritten

2004-07-20  Jody Goldberg <jody@gnome.org>

	* solver/solver.c (solver_run) : More win32 portability

2004-07-19  Jody Goldberg <jody@gnome.org>

	* Release 1.3.1

2004-07-11  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c (cb_inputexpr_free): new
	(analysis_tool_table): new
	(analysis_tool_correlation_engine_run): use analysis_tool_table
	(analysis_tool_covariance_engine_run): use analysis_tool_table

2004-07-11  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao.h (dao_cell_is_visible): new
	* dao.c (dao_cell_is_visible): new
	(dao_set_cell_expr): fix leak
	* analysis-tools.c (analysis_tools_remove_label): new
	(analysis_tools_write_label): use generic argument and
	  analysis_tools_remove_label
	(summary_statistics): change call to analysis_tools_write_label
	(confidence_level): ditto
	(kth_smallest_largest): ditto
	(analysis_tool_anova_single_engine_run): rewrite

2004-07-07  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c (cb_adjust_areas): new
	(prepare_input_range): adjust areas also for GROUPED_BY_AREA
	(analysis_tool_anova_single_engine_run): call dao_redraw_respan

2004-06-17  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.h (analysis_tools_data_descriptive_t): add
	  use_ssmedian field
	* analysis-tools.c (analysis_tools_write_label): new
	(cb_cut_into_cols): make input references absolute
	(cb_cut_into_rows): ditto
	(summary_statistics): rewrite
	(confidence_level): ditto
	(kth_smallest_largest): new
	(kth_largest): deleted
	(kth_smallest): deleted
	(analysis_tool_descriptive_engine_run): call the modified
	  summary_statistics, confidenc_level and kth_smallest_largest
	  functions and do not pre-calculate the basic statistics.
	* dao.c (dao_set_cell_expr): absorb the expr reference.

2004-05-24  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c (analysis_tool_fourier_calc_length) do not
	  use dao
	(analysis_tool_fourier_engine): do not pass dao to
	  analysis_tool_fourier_calc_length

2004-03-30  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=138533
	* analysis-tools.c (analysis_tool_moving_average_engine_run) : handle
	  insufficient data

2004-03-28  Jody Goldberg <jody@gnome.org>

	* Release 1.3.0

2003-12-26  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao.h (dao_load_from_value): new
	* dao.c (dao_load_from_value): new

2003-12-23  Jody Goldberg <jody@gnome.org>

	* Release 1.2.3

2003-11-26  Jody Goldberg <jody@gnome.org>

	* Release 1.2.2

2003-10-08  Jody Goldberg <jody@gnome.org>

	* Release 1.2.1

2003-09-29  Morten Welinder  <terra@gnome.org>

	* analysis-tools.c (analysis_tool_covariance_engine_run):
	Covar(X,X) happens to be the same as Var(X,X) and is generally not
	1.  (Population variance, that is.)

2003-09-15  Jody Goldberg <jody@gnome.org>

	* Release 1.2.0

2003-09-10  Jody Goldberg <jody@gnome.org>

	* Release 1.1.90

2003-08-21  Jody Goldberg <jody@gnome.org>

	* Release 1.1.20

2003-08-06  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao.[ch] (dao_update_sheet_pointer): delete

2003-08-04  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao.h (dao_update_sheet_pointer): add `old_only' argument
	* dao.c (dao_update_sheet_pointer): add `old_only' argument
	((dao_prepare_output): don't try to update new-sheet pointer

2003-08-04  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao.c (dao_update_sheet_pointer): new
	(dao_prepare_output): update sheet pointer before using and
	  set sheet_idx when setting sheet
	* dao.h (dao_update_sheet_pointer): new

2003-08-04  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* tabulate.[ch]: new
	* Makefile.am: added tabulate.[ch]

2003-08-03  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao.c (dao_set_cell_expr): new
	(dao_put_formulas): new
	(dao_convert_to_values): new
	(dao_redraw_respan): new
	* dao.h (dao_set_cell_expr): new
	(dao_put_formulas): new
	(dao_convert_to_values): new
	(dao_redraw_respan): new

2003-07-13  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* fill-series.c (fill_series_adjust_variables): adjust
	series length determination procedure

2003-07-13  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao.c: in all calls to dao_set_style, pass the raw
	coordinates, since we otehrwise translate twice
	(dao_set_date): new
	(dao_set_percentage): do not hardcode the format
	(dao_adjust): use -1 to mean no change
	(dao_set_style): if we don't use the mstyle, release it
	* dao.h (dao_set_date): new
	* fill-series.[ch]: essentially rewrite to make undoable

2003-06-18  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c: spelling fix

2003-06-13  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao.c (dao_prepare_output): add space and parentheses around
	  sheet number to sheet name

2003-06-12  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c (analysis_tool_regression_engine_run): set the
	  error code to show that we have reported the errors
	* analysis-tools.h: add more items to analysis_tools_error_code_t

2003-06-07  Jody Goldberg <jody@gnome.org>

	* Release 1.1.19

2003-06-07  Jody Goldberg <jody@gnome.org>

	* Release 1.1.18

2003-06-06  Jody Goldberg <jody@gnome.org>

	* scenarios.h : tweak header to be more friendly.

2003-05-31  Jody Goldberg <jody@gnome.org>

	* solver/solver.c (solver_lp_copy) : quick ugly patch.  Copying string
	  pointers is a bad idea.

2003-05-11  Jody Goldberg <jody@gnome.org>

	* Release 1.1.17

2003-04-22  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* fill-series.c (do_row_filling): Eliminate a crach.

2003-04-20  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* simulation.c (simulation_tool): Added checking of maximum
	elapsed time.

	* scenarios.[ch]: Results cell in summary reporting can also be a
	list of cell ranges.

	* scenarios.c (scenario_summary_res_cells): Fixed the results
	reporting in summary report.

2003-04-19  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* data-shuffling.c (run_shuffling_tool): Implement free area search.

2003-04-18  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* scenarios.c (scenario_move_range): Implemented.
	(move_range): Implemented the simplest case.

	* scenarios.c (scenario_summary_res_cells): Result cells output added.

	* dao.c (dao_set_align): Wrote.

	* scenarios.c (*): Replaced the loops that go through the values
	by a callback function. Store values before showing a scenario and
	restore them if cancelled.

2003-04-16  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* scenarios.c (scenario_new): Make the name to be unique if it
	isn't already.
	(find_scenario): Renamed by scenario_find_by_name.

	* scenarios.c (scenario_add_new): Simplified the API.

	* scenarios.c (find_scenario): API change to check the deletion
	flag.
	(scenario_delete): Renamed to scenario_mark_deleted and modified
	to support canceling deletions.
	(scenario_recover_all): New function.
	(scenario_summary): Return also the new sheet where the report
	exists to support canceling.

	* scenarios.h (scenario_t): Added marked_deleted field.
	(*): API changes.

2003-04-15  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* scenarios.c (scenario_summary): Set colors of the report.

	* dao.c (dao_set_colors): Wrote.

	* scenarios.c (scenario_add_new, collect_values): Return TRUE if
	changing cells contain at least one formula.

2003-04-14  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* scenarios.c (scenario_summary): Implemented. Result cells output
	still missing.

2003-04-11  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* scenarios.c: Added support for insert column/row and delete
	column/row.

2003-04-10  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* Makefile.am: Added scenarios.[ch].

	* scenarios.[ch]: Implemented scenario_copy_all () for sheet
	duplication. Added scenario_copy ().
	Implemented scenario_free_all () for sheet removal.
	Fixed also the scenario value storage indexing.

2003-04-09  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* scenarios.[ch]: Start of scenarios like in XL.

2003-04-03  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* fill-series.[ch]: Introduced a new filling tool just like in XL.

2003-04-02  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* data-shuffling.[ch]: Introduced a new tool for data shuffling.

2003-01-28  Jody Goldberg <jody@gnome.org>

	* Release 1.1.16

2002-12-31  Jody Goldberg <jody@gnome.org>

	* Release 1.1.15

2002-12-22  Jody Goldberg <jody@gnome.org>

	* Release 1.1.14

2002-12-22  Jody Goldberg <jody@gnome.org>

	* Release 1.1.13

2002-12-17  Jody Goldberg <jody@gnome.org>

	* simulation.c (simulation_tool) : patch minor memory overrun.

2002-12-18  Morten Welinder  <terra@diku.dk>

	* analysis-tools.c (analysis_tool_regression_engine_run): Fix it
	right.

2002-12-18  Morten Welinder  <terra@diku.dk>

	* analysis-tools.c (analysis_tool_regression_engine_run): Fix
 	memory management for ->missing.
	(union_of_int_sets): Cleanup.

2002-12-16  Jody Goldberg <jody@gnome.org>

	* analysis-tools.c (cb_cut_into_cols) : It is ok for sheet B to be
	  NULL.
	(cb_cut_into_rows) : ditto.

2002-11-15  Jody Goldberg <jody@gnome.org>

	* Release 1.1.12

2002-11-04  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* dao.c: Included headers for some standard library functions.

2002-11-01  Jody Goldberg <jody@gnome.org>

	* Release 1.1.11

2002-10-27  Jody Goldberg <jody@gnome.org>

	* Release 1.1.10

2002-10-25  Morten Welinder  <terra@diku.dk>

	* dao.c (dao_prepare_output): Fix col/row confusion.

2002-10-14  Morten Welinder  <terra@diku.dk>

	* analysis-tools.c (analysis_tool_ttest_neqvar_engine_run): Use
	gnumabs, not fabs.

2002-10-10  Morten Welinder  <terra@diku.dk>

	* dao.h (data_analysis_output_t): Avoid "gboolean ... : 1".
	* auto-correct.c (struct autocorrect): Ditto.

2002-10-03  Jody Goldberg <jody@gnome.org>

	* analysis-tools.c : Convert to using command context rather than
	 accessing the gui-control directly.
	* random-generator.c : ditto.

2002-09-30  Jody Goldberg <jody@gnome.org>

	* Release 1.1.9

2002-09-10  Morten Welinder  <terra@diku.dk>

	* auto-correct.c (autocorrect_tool): Split the meat into
	subfunctions.
	(autocorrect_set_exceptions): Don't convert into ucs4.
	(autocorrect_get_exceptions): therefore don't convert from ucs4.
	(autocorrect_names_of_days): New function.
	(autocorrect_first_letter): New function, unimplemented.
	(autocorrect_initial_caps): New function.

2002-09-09  Jody Goldberg <jody@gnome.org>

	* auto-correct.c (autocorrect_tool) : convert to unicode.
	(autocorrect_set_exceptions) : convert to ucs4 internally.
	(autocorrect_get_exceptions) : change the memory management semantics
	  of the result.
	(autocorrect_get_feature) : init the gconf cache as needed.
	(autocorrect_store_config) : use a changeset.
	(cb_autocorrect_update) : Use clear and load.
	(autocorrect_init) : hook on to the application as data so to handle
	  destruction in stead of requiring explicit removal.
	(autocorrect_load) : handle the gconf lookup directly.

2002-08-29  Jody Goldberg <jody@gnome.org>

	* auto-correct.c (autocorrect_tool) : don't run off the end of strings
	  looking for spaces.

2002-08-25  Jody Goldberg <jody@gnome.org>

	* Release 1.1.8

2002-08-16  Jon K Hellan  <hellan@acm.org>

	* simulation.c (simulation_tool): Remove unused variable

2002-08-12  Jody Goldberg <jody@gnome.org>

	* Release 1.1.7

2002-08-06  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* simulation.c: Plugged a lot of leaks. A new public function to
	take care of the memory buffer releasing.

2002-08-06  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* simulation.[ch]: Started the results summary reporting.

2002-08-04  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dao.c (dao_append_date): New function.

2002-08-04  Jon K Hellan  <hellan@acm.org>

	* simulation.c: Include rangefunc.h.

2002-08-03  Jon K Hellan  <hellan@acm.org>

	* filter.c (cb_show_all): Return a value.

2002-08-03  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* simulation.c: Added range, count and confidence level reporting.

	* simulation.c (simulation_tool, create_reports,
	eval_inputs_list): Added the generations of the statistics of the
	input variables too.

2002-08-03  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* simulation.c (simulation_tool): Fixed leaks in error condition.
	Redraw and recompute with sheet->simulation_round=0.
	(create_reports): Set summary labels italic. Fix the row positions
	if first_round > 1.

2002-08-02  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dao.c (dao_set_bold, dao_set_underlined, dao_set_italic,
	dao_set_percent): Bug fix: dao relative indexing.

	* simulation.c (create_reports): Reporting look improvements.  Use
	dao_prepare_output.

2002-07-30  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* simulation.[ch]: Initial version of the Risk Simulation tool.
	It's similar to XL's add-on plug-in's like @RISK but not yet that
	good (yet).

	* solver/reports.c, dao.[ch]: Moved find_name to dao.c and renamed
	it as dao_find_name.

	* solver/reports-write.c, dao.[ch]: Moved fill_header_titles to
	dao.c and renamed it as dao_write_header.

2002-07-29  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* analysis-tools.c
	(analysis_tool_exponential_smoothing_engine_run): Added standard
	errors output.

2002-07-26  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* filter.[ch]: New file for filtering submenu functionality.

2002-07-21  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* random-generator.c (tool_random_engine): Added Gaussian tail and
	uniform integer distributions.

2002-07-21  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* random-generator.c (tool_random_engine): Added Landau
	distribution.

2002-07-21  Jody Goldberg <jody@gnome.org>

	* Release 1.1.6

2002-07-21  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* random-generator.c (tool_random_engine): Add Rayleigh Tail
	distribution.

2002-07-21  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* random-generator.c (tool_random_engine): Add Exponential Power.

2002-07-18  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* random-generator.c (tool_random_engine): Added Levy.

2002-07-18  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* random-generator.c (tool_random_engine): Added Gamma, Geometric,
	Laplace, Logarithmic, Logistic, Lognormal, Pareto, Rayleigh, T,
	Type I Gumbel, and Type II Gumbel.

2002-07-18  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* random-generator.c (tool_random_engine): Added Beta, Cauchy,
	Chi-Squared, F, and Weibull.

	* random-generator.h: Related changes.

2002-06-14  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao.c (dao_format_output) : don't just bail out when clear_outputrange
	is false

2002-05-29  Jody Goldberg <jody@gnome.org>

	* Release 1.1.4

2002-05-11  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* src/tools/auto-correct.c (autocorrect_shutdown) : change
	  gnm_gconf_rm_notification_autocorrect to gnm_gconf_rm_notification

2002-05-03  Morten Welinder  <terra@diku.dk>

	* goal-seek.c (fake_df): More debug.  Handle things that come out
	NaN.
	(goal_seek_newton): Better xstep calculation for the
	fake_df case.

2002-04-29  Jody Goldberg <jody@gnome.org>

	* Release 1.1.3

2002-04-23  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* src/tools/dao.[ch] (dao_get_colrow_state_list) : new
	(dao_set_colrow_state_list) : new

2002-04-15  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* auto-correct.[ch] : switch from gnome-config to gconf and make
	  preserve autocorrect exceptions. Make exception lists into
	  GSList

2002-04-13  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao.c (dao_command_descriptor) : use cmd_range_to_str_utility

2002-04-05  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* random-generator.[ch] : make undoable

2002-03-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c : adjust includes
	* random-generator.c : ditto

2002-03-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* Makefile.am : added tools.h
	* analysis-tools.c : use inheritance over #define
	* analysis-tools.h : use inheritance over #define
	* dao.h : delete labels_flag from dao (it's not an output option)
	* random-generator.c :  use inheritance over #define
	* tools.h : new

2002-03-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.[hc] : make regrssion tool undoable

2002-03-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c : make histogram undoable
	* analysis-tools.h : include the analysis-tools.c specific
	  header info (rather than putting that into tools.h)
	* random-generator.h : include tools.h, contain random_tools
	  prototype
	* dao.c (dao_set_cell_value) : plug leak

2002-03-30  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* random-generator.[ch] : new files extracted from
	  analysis-tools.[ch]
	* analysis-tools.[ch] : some code moved to
	  random-generator.[ch]
	* Makefile.am : added random-generator.[ch]

2002-03-30  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c : make F-, z- and t-tests undoable
	* analysis-tools.h : add selector

2002-03-30  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c :  make fourier analysis, moving averages,
	  rank and percentile, and sampling tools undoable
	* dao.c (dao_set_style) : new
	(dao_set_percent) : use offsets by calling dao_set_style
	(dao_set_italic) : ditto

2002-03-29  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c : make Fourier Analysis Tool undoable

2002-03-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c : make Descriptive Stats Tool undoable

2002-03-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c : make Covariance Tool undoable

2002-03-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c : make Correlation Tool undoable

2002-03-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c : make 2-factor ANOVA's undoable

2002-03-25  Jody Goldberg <jody@gnome.org>

	* Release 1.1.2

2002-03-12  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* autocorrect.c, analysis-tools.c: Added GPL clause.

	* dao.[ch] (dao_set_bold): New function.  Moved from
	src/tools/solver/reports.c.
	(dao_set_underlined): Ditto.

2002-03-11  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao.[hc] : new files, code extracted from
	  src/tools/analysis-tools.[ch] and
	  src/dialogs/dialog-analysis-tools.c, various
	  functions renamed (prepended dao_)
	* analysis-tools.[ch] : some code moved to
	  src/dialogs/dao-gui-utils.[hc] and dao.[hc], change of
	  names of utility functions now in
	  src/dialogs/dao-gui-utils.[hc] or dao.[hc]
	* Makefile.am : added dao.[hc]

2002-03-10  Jody Goldberg <jody@gnome.org>

	* Release 1.1.1

2002-03-10  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.c (dao_range_name) : new utility
	(dao_command_descriptor) : new utility
	(dao_adjust) : new utility
	(prepare_output) : set all variables to sensible values
	  to avoid unnecessary type checks elsewhere
	(format_output) : utility clearing output range as
	  appropriate.
	(anova_single_factor_tool) : change into an engine
	  callable by cmd_analysis_tool, renamed to
	  analysis_tool_anova_single_engine_run
	(analysis_tool_anova_single_engine_clean) : new
	(analysis_tool_anova_single_engine) : selector function
	* analysis-tools.h : some rearrangments, new
	  analysis_tool_engine_t type, added fields to
	  data_analysis_output_type_t

2002-03-08  Morten Welinder  <terra@diku.dk>

	* analysis-tools.c (dao_set_cell_comment): New function.
	(regression_tool): Set a comment on the P-value header.

	* analysis-tools.c (fourier_fft_inv): Eliminate.
	(fourier_fft): Handle inverse case also.  Make n and skip
	parameters.  Eliminate fourier_t.  Constify.

2002-03-07  Morten Welinder  <terra@diku.dk>

	* analysis-tools.c (set_cell_value): Safety checks.

2002-03-07  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* goal-seek, Makefile.am: Moved goal seek into this directory.

	* stat-analysis, Makefile.am: Moved analysis tools into this
	directory.

2002-03-06  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* solver: Moved Solver into this directory.

	* Makefile.am: Created.
